package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgFjRt;
import com.szpg.db.data.PgFjStat;

/**
 * 风机运行相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgFjDao {

	/******** 风机累计运行时长 ********/
	public PgFjRt findLatestRtByDevice(Integer deviceid);
	
	public int addRtRecord(PgFjRt fjrt);
	public int addRtRecord(int second, int hour, String tm, int deviceid);
	
	
	/******** 风机运行状态 ********/
	public List<PgFjStat> findAllStat();
	public PgFjStat findStatById(Integer id);
	
	public List<PgFjStat> findStatByDevice(Integer deviceid);
	public List<PgFjStat> findStatByDeviceAndTm(Integer deviceid, String start, String end);
	public PgFjStat findLatestStatByDevice(Integer deviceid);
	
	public int addStatRecord(PgFjStat fjstat);
	public int addStatRecord(boolean run, boolean flt, String tm, int deviceid);
}
